petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatISFixLocalEmpty

Compress out zero local rows from the local matrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatISFixLocalEmpty(Mat A, PetscBool fix)

Collective on MPI_Comm

### Input Parameters

| A | - the matrix
| fix | - the boolean flag

Notes: When fix is true, new local matrices and l2g maps are generated during the final assembly process.

### Keywords

matrix

### See Also

MatCreate(), MatCreateIS(), MatISSetPreallocation(), MatAssemblyEnd(), MAT_FINAL_ASSEMBLY

### Level

advanced

### Location

src/mat/impls/is/matis.c

### Implementations

MatISFixLocalEmpty_IS in src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages